package com.tanpu.community.controller;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.resp.FileUploadResp;
import com.tanpu.community.manager.FileManager;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.caffeine.CaffeineCacheManager;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

@RestController
@Slf4j
@RequestMapping(value = "/api/file")
public class FileController {

    @Autowired
    private FileManager fileManager;

    @Autowired
    private CaffeineCacheManager localCache;

    @PostMapping("/uploadFile")
    @ResponseBody
    public CommonResp<FileUploadResp> uploadToRemote(@RequestParam(value = "file") MultipartFile file) {
        return CommonResp.success(fileManager.uploadFile(file));
    }

    @GetMapping("/test")
    public String test() {

        localCache.getCache("local").put("999", "6666666");
        System.out.println((String) localCache.getCache("local").get("999").get());


        for (int i = 0; i < 30; i++) {
            System.out.println(fileManager.getId("" + i / 2));
        }

        for (int i = 30; i > 0; i--) {
            System.out.println(fileManager.getId("" + i / 2));
        }
        return "";
    }
}
